Retrieve Single Client Code Distribution Metadata
Retrieve metadata for a specific client code distribution, including its name, size, and details from the uploaded distribution-manifest.json file.
GET
/api/{version}/uicode/distributions/{distribution_name}Headers
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{distribution_name} | The name attribute of the client code distribution to retrieve. |
Request
Section link for Requestcurl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v26.1/uicode/distributions/custom_pages__cResponse
Section link for Response{
"responseStatus": "SUCCESS",
"data": {
"name": "custom_pages__c",
"checksum": "aef4acfadc4b50a0324f792e217befd3",
"size": 493836
}
}Response Details
Section link for Response DetailsThe response contains the following metadata, including metadata provided in the distribution-manifest.json file:
| Field Name | Description |
|---|---|
name | The name of the client code distribution. |
checksum | A unique string used to identify the distribution. |
size | The size of the unzipped client code distribution in bytes. |
pages | The pages listed in the distribution-manifest.json file. For each page, this includes the name, file, and export values. |
stylesheets | The optional list of stylesheet paths from the distribution-manifest.json file. |
importmap | The optional importmap included in the distribution-manifest.json file. |